<script>

export default {
  name: "Order",
  props: {
    orders: {default: Array},
    table: {default: false}
  },
}
</script>

<template>
  <tr v-if="table=true"
      class="orders-item"
      v-for="(order, i) in orders"
      v-bind:key="i"
  >
    <td>{{ i + 1 }}</td>
    <td>{{ order.taskNo }}</td>
    <td>{{ order.title }}</td>
    <td>{{ order.description }}</td>
    <td>{{ order.created }}</td>
    <td>{{ order.expired }}</td>
    <td>{{ order.location }}</td>
    <td>{{ order.responses_count > 0 ? order.responses_count : "нет"}}</td>
<!--    <td>{{ order.response_status }}</td>-->
    <td>{{ order.price > 0 ? order.price : "не указана"}}</td>
  </tr>
</template>